package com.realnet.calendar_app_20251009_103540-b.Services;
import com.realnet.calendar_app_20251009_103540-b.Repository.CalendareventRepository;
import com.realnet.calendar_app_20251009_103540-b.Entity.Calendarevent
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class CalendareventService {
@Autowired
private CalendareventRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Calendarevent Savedata(Calendarevent data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Calendarevent save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Calendarevent> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Calendarevent> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Calendarevent> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Calendarevent getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Calendarevent update(Calendarevent data,Integer id) {
	Calendarevent old = Repository.findById(id).get();
old.setEvent_name(data.getEvent_name());

old.setEvent_date(data.getEvent_date());

old.setEvent_time(data.getEvent_time());

old.setDescription(data.getDescription());

final Calendarevent test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
